Game Develop Core: gd::ExternalEvents Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::ExternalEvents Class Reference
Platform Definition ( Classes defining the common concepts used by all platforms )

Contains a list of events not directly linked to a layout. More...

`#include <ExternalEvents.h>`

## Public Member Functions

| ExternalEvents (const ExternalEvents &)
ExternalEvents & | operator= (const ExternalEvents &rhs)
virtual ExternalEvents * | Clone () const
virtual const std::string & | GetName () const
| Get external events name.
virtual void | SetName (const std::string &name_)
| Change external events name.
virtual const std::string & | GetAssociatedLayout () const
| Get the layout associated with external events. More...
virtual void | SetAssociatedLayout (const std::string &name_)
| Set the layout associated with external events.
time_t | GetLastChangeTimeStamp () const
void | SetLastChangeTimeStamp (time_t newTimeStamp)
virtual const std::vector < boost::shared_ptr < gd::BaseEvent > > & | GetEvents () const
| Get the events.
virtual std::vector < boost::shared_ptr < gd::BaseEvent > > & | GetEvents ()
| Get the events.
virtual void | LoadFromXml (gd::Project &project, const TiXmlElement *element)
| Load the object from xml.
virtual void | SaveToXml (TiXmlElement *element) const
| Save the object to xml.

## Detailed Description

Contains a list of events not directly linked to a layout.

## Member Function Documentation

virtual ExternalEvents* gd::ExternalEvents::Clone | ( | ) |  | const

inlinevirtual

Must return a pointer to a copy of the layout.

Note
  A such method is useful when the IDE must store a copy of a ExternalEvents derived class ( e.g. for Clipboard ) so as to avoid slicing

Typical implementation example:

return new MyExternalEventsClass(*this);

virtual const std::string& gd::ExternalEvents::GetAssociatedLayout | ( | ) |  | const

inlinevirtual

Get the layout associated with external events.

This is used in the IDE to remember the layout used to edit the external events.

time_t gd::ExternalEvents::GetLastChangeTimeStamp | ( | ) |  | const

inline

Get the latest time of the build. Used when the IDE found that the external events can be compiled separately from scene's events.

Todo:
  This is specific to GD C++ Platform

void gd::ExternalEvents::SetLastChangeTimeStamp | ( | time_t | newTimeStamp) |  |

inline

Change the latest time of the build of the external events.

Todo:
  This is specific to GD C++ Platform

The documentation for this class was generated from the following files:

- ExternalEvents.h
- ExternalEvents.cpp